# gp_Mat.lxx File Reference

`#include <gp.hxx>`
`#include <Standard_OutOfRange.hxx>`
`#include <Standard_ConstructionError.hxx>`

## Defines

#define | Mat00 ((Standard_Real*)M)[0]
#define | Mat01 ((Standard_Real*)M)[1]
#define | Mat02 ((Standard_Real*)M)[2]
#define | Mat10 ((Standard_Real*)M)[3]
#define | Mat11 ((Standard_Real*)M)[4]
#define | Mat12 ((Standard_Real*)M)[5]
#define | Mat20 ((Standard_Real*)M)[6]
#define | Mat21 ((Standard_Real*)M)[7]
#define | Mat22 ((Standard_Real*)M)[8]
#define | Nat00 ((Standard_Real*)N)[0]
#define | Nat01 ((Standard_Real*)N)[1]
#define | Nat02 ((Standard_Real*)N)[2]
#define | Nat10 ((Standard_Real*)N)[3]
#define | Nat11 ((Standard_Real*)N)[4]
#define | Nat12 ((Standard_Real*)N)[5]
#define | Nat20 ((Standard_Real*)N)[6]
#define | Nat21 ((Standard_Real*)N)[7]
#define | Nat22 ((Standard_Real*)N)[8]
#define | Oat00 ((Standard_Real*)O)[0]
#define | Oat01 ((Standard_Real*)O)[1]
#define | Oat02 ((Standard_Real*)O)[2]
#define | Oat10 ((Standard_Real*)O)[3]
#define | Oat11 ((Standard_Real*)O)[4]
#define | Oat12 ((Standard_Real*)O)[5]
#define | Oat20 ((Standard_Real*)O)[6]
#define | Oat21 ((Standard_Real*)O)[7]
#define | Oat22 ((Standard_Real*)O)[8]

## Functions

gp_Mat | operator * (const Standard_Real Scalar, const gp_Mat &Mat3D)

## Define Documentation

#define Mat00 ((Standard_Real*)M)[0]

#define Mat01 ((Standard_Real*)M)[1]

#define Mat02 ((Standard_Real*)M)[2]

#define Mat10 ((Standard_Real*)M)[3]

#define Mat11 ((Standard_Real*)M)[4]

#define Mat12 ((Standard_Real*)M)[5]

#define Mat20 ((Standard_Real*)M)[6]

#define Mat21 ((Standard_Real*)M)[7]

#define Mat22 ((Standard_Real*)M)[8]

#define Nat00 ((Standard_Real*)N)[0]

#define Nat01 ((Standard_Real*)N)[1]

#define Nat02 ((Standard_Real*)N)[2]

#define Nat10 ((Standard_Real*)N)[3]

#define Nat11 ((Standard_Real*)N)[4]

#define Nat12 ((Standard_Real*)N)[5]

#define Nat20 ((Standard_Real*)N)[6]

#define Nat21 ((Standard_Real*)N)[7]

#define Nat22 ((Standard_Real*)N)[8]

#define Oat00 ((Standard_Real*)O)[0]

#define Oat01 ((Standard_Real*)O)[1]

#define Oat02 ((Standard_Real*)O)[2]

#define Oat10 ((Standard_Real*)O)[3]

#define Oat11 ((Standard_Real*)O)[4]

#define Oat12 ((Standard_Real*)O)[5]

#define Oat20 ((Standard_Real*)O)[6]

#define Oat21 ((Standard_Real*)O)[7]

#define Oat22 ((Standard_Real*)O)[8]

## Function Documentation

gp_Mat operator * | ( | const Standard_Real | Scalar,
|  | const gp_Mat & | Mat3D
| ) | `[inline]`